commit:     ead5052d9c87ea1567ebd0a7a327138041860bfc
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Dec 25 18:52:15 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Dec 29 12:56:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ead5052d

net-proxy/ufdbguard: 1.32.4 version bump

Gentoo-bug: 538276, 570226

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/3239

 net-proxy/ufdbguard/Manifest                |   2 +
 net-proxy/ufdbguard/ufdbguard-1.32.4.ebuild | 127 ++++++++++++++++++++++++++++
 2 files changed, 129 insertions(+)

diff --git a/net-proxy/ufdbguard/Manifest b/net-proxy/ufdbguard/Manifest
index a6c34a5..015427e 100644
--- a/net-proxy/ufdbguard/Manifest
+++ b/net-proxy/ufdbguard/Manifest
@@ -1,4 +1,6 @@
 DIST ufdbGuard-1.24.tar.gz 747635 SHA256 
6e5df4ef7f5d13d1ad2a0902449c9909cc013242f3783925800df5011bd3446c SHA512 
980cdd7785e6e8dd04cf9004bae0361bdba614b5c1683f113fc7ce49da029089b73850393226f4ea001fe6d1f43008b167a7b1fa3579a9616ffbcf15a5a4f4cb
 WHIRLPOOL 
d29e6f2c4f9a5c6a857ce64c8865257cdf4743a835fb81b1bc1463cd4eae391488e98061a04135e053fe03480134f599ac232ca339866a8755029f4e95675d28
 DIST ufdbGuard-1.29.tar.gz 948006 SHA256 
f97a683fba5e1867b9bde16d0ec118651b93ae419037d3fad0144c95add8bed6 SHA512 
06e286508eba8081aecaa31021f18385f163f87edae90a4b399e0f3ca0d06165f5ac11baa5b615bdaaf9bbc03c107c69103f05761904fc06a0715c8f44abdc58
 WHIRLPOOL 
84d43ba2b5108acb9fc4ac0013d27c7f47dbb9ad6b7b6277853278b32a9040e0865e897b8bf5a3963216d3303506f90fe0844d9f5b49614154087eb0339f300d
+DIST ufdbGuard-1.32.4.tar.gz 2499206 SHA256 
037d2652087a544e4bfa10fefcb9e155e730536baf39331b3e9dca26c605e3df SHA512 
189cb67c533ab71ba1d3292a376d746e0565a3bf5de17f4407c5892ee24c20cd2574752bdcb08be19621a93114cc69a89767c581d531027ecbf6487ef3119d91
 WHIRLPOOL 
56ae089ff7463bf2184ae04d15105fe183fa39be807b8440fbd0b4520d47282136e4f07cd5821502a57b2698aab37b8e3ff585b69a2b553bd08c4bbe00f6022d
 DIST ufdbguard-1.24-manual.pdf 491034 SHA256 
7185161d912202510ec1767fc0239f48c2a98f948afb3a207ea55c341e03e459 SHA512 
64e3102e44c9db18e7f43bcd6743c36034400dfbeef572810feaf3adb7d762511b6fa57d09e934eb92abd9e84fdd838d898ab5f386da6e96d936e2626bcbfd51
 WHIRLPOOL 
d06ac95dc5df217a4a5a15eaf847af431098c2f35510fa8c03a313c37c71eb325efdd5e50d4e0999e6a70f63f62db9d46c633c5a994c4f40a0662a7058220f8c
 DIST ufdbguard-1.29-manual.pdf 513184 SHA256 
00b75668ca82037c9be6eab3a83755189890b2a3bb239409db765195f26c2f8b SHA512 
9b321202a60428e7962087b19b7e0b72241fdb99d5068e68dceadf3087b85d56e11c80e3a410b101aae35f9f5f179ee0e13053024c29ff0868c39ed645edcbb2
 WHIRLPOOL 
cd1573102abe6b4d359520930491b6a2fbef0601bcdccaaf78adf79bbf570c48bbfa1f0bb5e5e0b9ab9360cc9ca41643e2cbed2140414603bdca7bca32bbecf9
+DIST ufdbguard-1.32.4-manual.pdf 642626 SHA256 
42a954d45697a1ea7c4dc8d97faa7e02e2f52414461b4bf73fe975a7a3ebb57d SHA512 
98444689c07da3ce9937675b45607ea88fc5a10c65051746cd821650788ec21cbc836a043a486de51813b85d836e255bb3a64a62252808dfe93310e6e169fdb1
 WHIRLPOOL 
2cb798f2e201e1b7e203ae9d8742336c2b0036b139a842df6c5943a52d4e118aaea97d68fc9e8dbec15a489273f96191c45c82263208fab0644b16c0eabece1d

diff --git a/net-proxy/ufdbguard/ufdbguard-1.32.4.ebuild 
b/net-proxy/ufdbguard/ufdbguard-1.32.4.ebuild
new file mode 100644
index 00000000..508905f
--- /dev/null
+++ b/net-proxy/ufdbguard/ufdbguard-1.32.4.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils flag-o-matic user
+
+MY_P="ufdbGuard-${PV}"
+
+DESCRIPTION="ufdbGuard is a redirector for the Squid internet proxy"
+HOMEPAGE="http://www.urlfilterdb.com/en/products/ufdbguard.html";
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz
+       doc? ( mirror://sourceforge/${PN}/${PV/\.?/}/ReferenceManual.pdf -> 
${P}-manual.pdf )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc +httpd"
+
+COMMON_DEPEND="
+       app-arch/bzip2
+       dev-libs/openssl:0=
+       net-misc/wget
+"
+DEPEND="${COMMON_DEPEND}
+       sys-devel/bison
+       sys-devel/flex
+"
+RDEPEND="${COMMON_DEPEND}
+       sys-apps/openrc
+"
+
+DOCS=( CHANGELOG README src/sampleufdbGuard.conf )
+
+PATCHES=( "${FILESDIR}"/${PN}-1.24-gentoo.patch )
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+       enewgroup squid
+       enewuser squid -1 -1 /var/cache/squid squid
+}
+
+src_configure() {
+       # better safe than sorry, the code has a number of possible
+       # breakage, and at least one certain breakage.
+       append-flags -fno-strict-aliasing
+
+       econf \
+               --with-ufdb-user=squid \
+               --with-ufdb-config="${EPREFIX}"/etc \
+               --with-ufdb-bindir="${EPREFIX}"/usr/libexec/ufdbguard \
+               --with-ufdb-logdir="${EPREFIX}"/var/log/ufdbguard \
+               --with-ufdb-dbhome="${EPREFIX}"/usr/share/ufdbguard/blacklists \
+               --with-ufdb-images_dir="${EPREFIX}"/usr/share/ufdbguard/images
+}
+
+src_install() {
+       einstalldocs
+       doman doc/*.1
+
+       dobin src/ufdbAnalyse src/ufdbGenTable src/ufdbGrab \
+               src/ufdbConvertDB
+       dosbin src/ufdbUpdate
+
+       exeinto /usr/libexec/ufdbguard
+       doexe src/mtserver/ufdbguardd src/mtserver/ufdbgclient
+
+       if use httpd; then
+               exeinto /usr/libexec/ufdbguard
+               doexe src/ufdbhttpd
+       fi
+
+       keepdir /usr/share/ufdbguard/blacklists
+
+       insinto /etc
+       doins src/ufdbGuard.conf
+
+       insinto /usr/share/ufdbguard/images
+       doins -r src/images/.
+
+       newconfd "${FILESDIR}"/ufdb.confd ufdb
+       newinitd "${FILESDIR}"/ufdb.initd.2 ufdb
+
+       exeinto /etc/cron.daily
+       newexe "${FILESDIR}"/ufdbUpdate.cron ufdbUpdate
+
+       use doc && newdoc "${DISTDIR}"/${P}-manual.pdf ReferenceManual.pdf
+}
+
+pkg_postinst() {
+       elog "The default location for the blacklist database has been"
+       elog "moved to ${EROOT%/}/usr/share/ufdbguard/blacklists."
+       elog ""
+       elog "The configuration file is no longer configurable in the"
+       elog "service file, and now resides at ${EROOT%/}/etc/ufdbGuard.conf ."
+       elog ""
+       elog "The service script has been renamed from ufdbguad to simply"
+       elog "${EROOT%/}/etc/init.d/ufdb, to follow the official documentation, 
and"
+       elog "it gained a reload option with a reconfig alias."
+       elog ""
+       elog "You can configure the username and password parameters for"
+       elog "ufdbUpdate, to fetch the blacklist database provided by"
+       elog "URLfilterDB, directly in ${EROOT%/}/etc/conf.d/ufdb without 
touching"
+       elog "the script itself."
+       elog ""
+       elog "To enable ufdbguard in squid, you should add this to your"
+       elog "squid.conf:"
+       elog ""
+       elog "    url_rewrite_program 
${EROOT%/}/usr/libexec/ufdbguard/ufdbgclient -l ${EROOT%/}/var/log/ufdbguard"
+       elog "    url_rewrite_children 64"
+       elog ""
+       if ! use httpd; then
+               elog "You chose to not install the lightweight http daemon that"
+               elog "comes with ufdbguard."
+       else
+               elog "The ufdb service will start both the ufdbguardd daemon 
and"
+               elog "the ufdbhttpd http daemon to provide a local redirect 
CGI."
+               elog "If you don't want this to happen, disable the httpd USE 
flag."
+       fi
+       if use doc; then
+               elog ""
+               elog "The reference manual has been installed as"
+               elog "    ${EROOT%/}/usr/share/doc/${PF}/ReferenceManual.pdf"
+       fi
+}

Reply via email to